%define _buildid .8

%global py26nvr python26-babel-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-babel-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name Babel

Name: python-babel
Version: 0.9.4
Release: 5.1%{?_buildid}%{?dist}
Summary: Library for internationalizing Python applications
Group: Development/Languages
License: BSD
URL: http://babel.edgewall.org/
Source0: http://ftp.edgewall.com/pub/babel/Babel-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python26-babel
Summary: Library for internationalizing Python applications
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Requires: python26(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python26(alternatives)
Requires(preun): alternatives(removeslave)
Requires: python26-setuptools
Provides: python-babel = %{version}-%{release}
Provides: babel = %{version}-%{release}
Obsoletes: babel <= 0.9.4-5.1.6.amzn1
Obsoletes: python-babel <= 0.9.4-5.1.6.amzn1

%description -n python26-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

This package is meant to be used with Python 2.6.

%package -n python27-babel
Summary: Library for internationalizing Python applications
BuildRequires: python27-devel
BuildRequires: python27-setuptools
Requires: python27(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python27(alternatives)
Requires(preun): alternatives(removeslave)
Requires: python27-setuptools
Conflicts: babel <= 0.9.4-5.1.6.amzn1
Conflicts: python-babel <= 0.9.4-5.1.6.amzn1

%description -n python27-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}
chmod a-x babel/messages/frontend.py doc/logo.png doc/logo_small.png
%{__sed} -i -e '/^#!/,1d' babel/messages/frontend.py

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
mv %{buildroot}%{_bindir}/{pybabel,pybabel-2.6}

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
mv %{buildroot}%{_bindir}/{pybabel,pybabel-2.7}

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%triggerin -n python26-babel -- python26
# Refresh alternatives when updating python26-babel or python26.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.6 \
  --addslave %{_bindir}/pybabel pybabel %{_bindir}/pybabel-2.6 \
  || :

%preun -n python26-babel
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.6 \
    --removeslave pybabel \
 || :
fi

%triggerin -n python27-babel -- python27
# Refresh alternatives when updating python27-babel or python27.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.7 \
  --addslave %{_bindir}/pybabel pybabel %{_bindir}/pybabel-2.7 \
  || :

%preun -n python27-babel
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.7 \
    --removeslave pybabel \
 || :
fi

%files -n python26-babel
%doc ChangeLog COPYING README.txt doc/cmdline.txt doc
%{python26_sitelib}/*
%{_bindir}/pybabel-2.6
%ghost %{_bindir}/pybabel

%files -n python27-babel
%doc ChangeLog COPYING README.txt doc/cmdline.txt doc
%{python27_sitelib}/*
%{_bindir}/pybabel-2.7
%ghost %{_bindir}/pybabel

%changelog
* Mon Mar 2 2015 Ben Cressey <bcressey@amazon.com>
- add alternatives for babel

* Tue Feb 3 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Fri Jul 9 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/babel-0.9.4-5.1.el6
- setup complete for package babel

* Mon Nov 30 2009 Dennis Gregorovic <dgregor@redhat.com> - 0.9.4-5.1
- Rebuilt for RHEL 6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 Robert Scheck <robert@fedoraproject.org> - 0.9.4-4
- Added missing requires to python-setuptools for pkg_resources

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.4-2
- Rebuild for Python 2.6

* Mon Aug 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.4-1
- Update to 0.9.4

* Thu Jul 10 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.3-1
- Update to 0.9.3

* Sun Dec 16 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.1-1
- Update to 0.9.1

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9-2
- BR python-setuptools-devel

* Mon Aug 27 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9-1
- Update to 0.9

* Mon Jul  2 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8.1-1
- Update to 0.8.1
- Remove upstreamed patch.

* Fri Jun 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-3
- Replace patch with one that actually applies.

* Fri Jun 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-2
- Apply upstream patch to rename command line script to "pybabel" - BZ#246208

* Thu Jun 21 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-1
- First version for Fedora
